{
  name = "tor";
  machine = { config, pkgs, ... }: {
    imports = [ ../nixos-modules/hardware.nix ../nixos-modules/systemd.nix ];
    services.tor = {
      enable = true;
      client.enable = false;
      extraConfig = ''
        Log [general,net,config,fs]debug stdout
        MaxMemInQueues 64 MBytes
      '';
      relay = {
        enable = true;
        contactInfo = "genodepkgs-junk@spam.works";
        port = 80;
        role = "relay";
        bridgeTransports = [ ];
      };
    };
    systemd.services.tor.genode = {
      enable = true;
      interface = "eth1";
      ramQuota = 96;
      extraVfs = pkgs.writeText "tor.vfs.dhall" ''
        let Genode = env:DHALL_GENODE

        let VFS = Genode.VFS

        in  [ VFS.dir "var" [ VFS.dir "lib" [ VFS.leaf "ram" ] ] ]
      '';
    };
  };
}
